#!/sw/bin/perl

# Usage: purify [files]

$self = $0;
$self =~ s!^.*/!!;

if (!@ARGV)
{
    die "Usage: $self filename [filename ...]\n";
}

foreach $item (@ARGV)
{
    FILE:
    foreach $filename (glob($item))
    {
        next FILE unless (-f $filename);
        unless (open(INPUT, "<$filename"))
        {
            warn "unable to read '$filename': $!\n";
            next FILE;
        }
        unless (rename($filename,"$filename.bak"))
        {
            warn "unable to rename '$filename' to '$filename.bak': $!\n";
            next FILE;
        }
        unless (open(OUTPUT, ">$filename"))
        {
            warn "unable to write '$filename': $!\n";
            next FILE;
        }
        while (<INPUT>)
        {
#           s!^[ \t]+!!;
            s![ \t]+$!!;
            print OUTPUT;
        }
        close(INPUT);
        close(OUTPUT);
    }
}

__END__
