@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S "%0" %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
goto endofperl
@rem ';
#!/sw/bin/perl
#line 14

# Usage: umlaute [files]

$self = $0;
$self =~ s!^.*/!!;

if (!@ARGV)
{
    die "Usage: $self filename [filename ...]\n";
}

FILE:
foreach $filename (map( glob($_), @ARGV ))
{
    next FILE unless (-f $filename);
    unless (open(INPUT, "<$filename"))
    {
        warn "unable to read '$filename': $!\n";
        next FILE;
    }
    unless (rename($filename,"$filename.bak"))
    {
        warn "unable to rename '$filename' to '$filename.bak': $!\n";
        next FILE;
    }
    unless (open(OUTPUT, ">$filename"))
    {
        warn "unable to write '$filename': $!\n";
        next FILE;
    }
    while (<INPUT>)
    {
        s!!Ae!g;
        s!!Oe!g;
        s!!Ue!g;
        s!!ae!g;
        s!!oe!g;
        s!!ue!g;
        s!!ss!g;
        print OUTPUT;
    }
    close(INPUT);
    close(OUTPUT);
}
__END__
:endofperl
