#!/sw/bin/perl -w

foreach (@ARGV)
{
    FILE:
    foreach $file (glob($_))
    {
        unless (open(FILE, "<$file"))
        {
            warn "Can't read file '$file': $!\n";
            next FILE;
        }
        while (defined ($line = <FILE>))
        {
            while ($line =~ m!\b([a-zA-Z0-9_]+)\b!g)
            {
                $words{$1}++;
            }
        }
        unless (close(FILE))
        {
            warn "Can't close file '$file': $!\n";
            next FILE;
        }
    }
}

foreach $word (sort { length($b) <=> length($a) || $b cmp $a } keys(%words))
{
    printf("%-40.40s : %6d %6d\n", $word, length($word), $words{$word});
}

__END__

